import type { Group } from '@visactor/vtable/es/scenegraph/graphic/group';
import type { CellRange } from '@visactor/vtable/es/ts-types';
import type { BaseTableAPI } from '@visactor/vtable/es/ts-types/base-table';
export interface InvertHighlightPluginOptions {
    fill?: string;
    opacity?: number;
}
export declare class InvertHighlightPlugin {
    table: BaseTableAPI;
    range?: CellRange;
    _fill: string;
    _opacity: number;
    constructor(table: BaseTableAPI, options?: InvertHighlightPluginOptions);
    setInvertHighlightRange(range?: CellRange): void;
    deleteAllCellGroupShadow(): void;
    updateCellGroupShadow(): void;
    updateCellGroupShadowInContainer(container: Group, range?: CellRange): void;
}
